### Class

# Snapd MarkdownParser

since: 1.48

#### Description [src]

    final class Snapd.MarkdownParser : GObject.Object
    {
      /* No available fields */
    }

`SnapdMarkdownParser` is an opaque data structure and can only be accessed using the provided functions.

Available since: 1.48

#### Ancestors

- GObject

#### Constructors

###### snapd_markdown_parser_new

Create an object to parse markdown text.

since: 1.48

#### Instance methods

###### snapd_markdown_parser_get_preserve_whitespace

Check if paragraph whitespace will be kept intact.

since: 1.48

###### snapd_markdown_parser_parse

Convert text in snapd markdown format to markup.

since: 1.48

###### snapd_markdown_parser_set_preserve_whitespace

Consecutive paragraph whitespace (space, tabs, newlines) is automatically combined into a single space character. This renders the paragraphs in the form that HTML uses. If you need the original whitespace that the markdown author wrote then set this to `FALSE`.

since: 1.48

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct SnapdMarkdownParserClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.